package _VisualDVM.Visual.Windows;
import Common.Visual.Menus.VisualiserMenuBar;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
import _VisualDVM.Visual.Interface.DescriptionInterface;

import javax.swing.*;
public class DescriptionFields implements DescriptionInterface {
    public JSplitPane SC25;
    private JPanel content;
    private JToolBar descriptionTools;
    private JToolBar descriptionAdditionTools;
    private JPanel editorPanel;
    private JPanel additionPanel;
    public DescriptionFields() {
        LoadSplitters();
        descriptionAdditionTools.add(Global.mainModule.getPass(PassCode.AppendBugReportDescription).createButton());
        descriptionTools.add(Global.mainModule.getPass(PassCode.SaveBugReportDescription).createButton());
    }
    //---------
    @Override
    public void setEditorScroll(JScrollPane scroll_in) {
        editorPanel.add(scroll_in);
    }
    @Override
    public void setAdditionScroll(JScrollPane scroll_in) {
        additionPanel.add(scroll_in);
    }
    @Override
    public JPanel getContent() {
        return content;
    }
    private void createUIComponents() {
        // TODO: place custom component creation code here
        descriptionTools = new VisualiserMenuBar();
        descriptionAdditionTools = new VisualiserMenuBar();
    }
}
